Bug 1006324 - Adding network hw in Virt-manager: Error adding device: internal error: No <source> 'dev' attribute specified with <interface type='direct'/>
Adding network hw in Virt-manager: Error adding device: internal error: No <s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 08:45 EDT by Lukas Brabec
Modified: 2013-10-03 21:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-3.gita2e52067.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:56:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Brabec 2013-09-10 08:45:17 EDT
When adding network hardware to virtual machine in virt-manager an error occurs: 

Error adding device: internal error: No <source> 'dev' attribute specified with <interface type='direct'/>

with traceback:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 1248, in add_device
    self.vm.add_device(self._dev)
  File "/usr/share/virt-manager/virtManager/domain.py", line 498, in add_device
    self.redefine_cached()
  File "/usr/share/virt-manager/virtManager/domain.py", line 424, in redefine_cached
    self._redefine_xml(xml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 166, in _redefine_xml
    return self._redefine_helper(origxml, newxml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 156, in _redefine_helper
    self._define(newxml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 964, in _define
    self.conn.define_domain(newxml)
  File "/usr/share/virt-manager/virtManager/connection.py", line 767, in define_domain
    return self._backend.defineXML(xml)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 2924, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: internal error: No <source> 'dev' attribute specified with <interface type='direct'/>


Version-Release number of selected component (if applicable):
virt-manager-0.10.0-2.git948b5359.fc20.noarch
Fedora 20 Alpha TC5 with virtualization group installed



Steps to Reproduce:
1. run virt-manager
2. create new machine
3. add hardware -> network
4. click finish
Comment 1 Cole Robinson 2013-09-24 10:02:03 EDT
Thanks for the report, fixed upstream now
Comment 2 Fedora Update System 2013-09-24 11:15:26 EDT
virt-manager-0.10.0-3.gita2e52067.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-3.gita2e52067.fc20
Comment 3 Fedora Update System 2013-09-26 02:13:41 EDT
Package virt-manager-0.10.0-3.gita2e52067.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.10.0-3.gita2e52067.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17628/virt-manager-0.10.0-3.gita2e52067.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-03 21:56:49 EDT
virt-manager-0.10.0-3.gita2e52067.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.